{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-connectivity/docs/reconciliation-api/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":["partial"]},"type":"markdown"},"seo":{"title":"Getting applicable filters for a legal entity ID","siteUrl":"https://developers.booking.com"},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"warning","name":"This API is in closed beta"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The API functionality is in closed beta phase. Currently, the closed beta is available only for select providers. Make sure to direct any questions during the beta phase to your Booking.com contact person via the appropriate channels."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"getting-applicable-filters-for-a-legal-entity-id","__idx":0},"children":["Getting applicable filters for a legal entity ID"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"GET https://payments-api.booking.com/connectivity-payments/recon-reports/filters?legal-entity-ids={id1},{id2}\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The Filters API allows you to fetch filters applicable for a given legal entity ID. Upon fetching the applicable filters, you can use them to ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/connectivity/docs/reconciliation-api/requesting-payout-report"},"children":["request a payout report"]},"."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"required-connection-type","__idx":1},"children":["Required connection type"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["You need to be connected with the reservations connection type to use this API."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["For more information on the connection types, see ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/connectivity/docs/connections-api/connections-overview"},"children":["Connections API Overview"]},"."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Supported filters: Legal entity, asset, from date, to date, bank account, payout type (net/gross), file format type (CSV/JSON/XLS), locale (en-us/nl/fr/it)."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"headers","__idx":2},"children":["Headers"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Header"},"children":["Header"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["api-version"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The version of the API. If omitted, defaults to ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["1.0"]},"."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"query-parameters","__idx":3},"children":["Query parameters"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["legal-entity-ids"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["A comma-separated list of legal entity IDs for which you want to fetch the filters."]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"response-example","__idx":4},"children":["Response example"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","header":{"controls":{"copy":{}}},"source":"{\n  \"meta\": {\n    \"ruid\": \"string\"\n  },\n  \"data\": {\n    \"data_available_from_date\": \"2021-01-01\",\n    \"report_configurations\": [\n      {\n        \"config_key\": \"format_type\",\n        \"config_values\": [\n          \"CSV\",\n          \"XLS\",\n          \"JSON\"\n        ],\n        \"default_value\": \"CSV\"\n      },\n      {\n        \"config_key\": \"locale\",\n        \"config_values\": [\n          \"en-us\",\n          \"nl\",\n          \"fr\",\n          \"it\"\n        ],\n        \"default_value\": \"en-us\"\n      }\n    ],\n    \"report_filters\": [ \n      {\n        \"filter_key\": \"bank_accounts\",\n        \"filter_values\": [\n          \"5890\"\n        ]\n      },\n      {\n        \"filter_key\": \"payout_type\",\n        \"filter_values\": [\n          \"NET\",\n          \"GROSS\"        \n        ]\n      },\n      {\n        \"filter_key\": \"statement_descriptor\",\n        \"filter_values\": []\n      }\n    ]\n  },\n  \"errors\": [\n    {\n      \"description\": \"string\",\n      \"message\": \"string\",\n      \"status_code\": 0,\n      \"debug_message\": \"string\"\n    }\n  ],\n  \"warnings\": [\n    {\n      \"message\": \"string\"\n    }\n  ]\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"response-elements","__idx":5},"children":["Response elements"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This table lists and describes the response elements that the API can return."]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Element"},"children":["Element"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains the response data."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["object"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["::"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["data_available_from_date"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Specifies the date from which the data is available for the provided legal entity ID. Format: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["YYYY-MM-DD"]},"."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["::"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["report_configurations"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains the configuration options for the report: a ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["config_key"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["config_values"]},", and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["default_value"]},". The rows below describe the available values."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["array"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[":::"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["format_type"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Specifies the desired format of the report: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["JSON"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CSV"]},", or ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["XLS"]},". Default is ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["CSV"]},"."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[":::"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["locale"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Specifies the language of the report. For example, ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["en-us"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["fr"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["de"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["es"]},". Default is ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["en-us"]},"."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["::"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["report_filters"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains the applicable filters for the report: a ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["filter_key"]}," and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["filter_values"]}," pair. The rows below describe the available values."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["array"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[":::"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["bank_accounts"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Specifies the last 4 digits of the bank account for filtering."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["array of strings"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[":::"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["payout_type"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Specifies the payout type for filtering: ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["NET"]}," or ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GROSS"]},"."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[":::"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["statement_descriptor"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Specifies the statement descriptor for the report. A descriptor is a short, alphanumeric string (max 255 characters). ",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]}," - For bank transfer payouts, the statement descriptor corresponds to the “transfer reference”, which is a unique code generated by Booking.com to help partners trace the origin and nature of the payout on their bank statements. ",{"$$mdtype":"Tag","name":"br","attributes":{},"children":[]}," - For Stripe payouts, the descriptor is known as the “Stripe payout statement descriptor”. Stripe generates this text, which may differ from platform-generated references, and partners can use it to match the deposit on their bank statement to the specific payout in their reconciliation report."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["errors"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains potential errors. These can help you understand what went wrong with your request. For more information, see ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"#response-codes"},"children":["Response codes"]},"."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["array"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["warnings"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains potential warnings. These can help you improve your requests."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["array"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"rate-limiting","__idx":6},"children":["Rate limiting"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["To prevent excessive load on our systems, we limit the number of API calls that a provider can make per minute. For the Filters API, the limit is ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["50 requests per minute"]},"."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"response-codes","__idx":7},"children":["Response codes"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This table lists and describes the response codes that the API can return."]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Code"},"children":["Code"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["200 OK"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Applicable filters are returned."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["400 Bad request"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Invalid parameters provided."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["401 Unauthorized"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["User not authenticated."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["403 Forbidden"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["User not authorized to access this report."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["429 Too Many Requests"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Rate limit exceeded."]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{},"children":["500 Internal server error"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["An unexpected error occurred."]}]}]}]}]}]},"headings":[{"value":"Getting applicable filters for a legal entity ID","id":"getting-applicable-filters-for-a-legal-entity-id","depth":1},{"value":"Required connection type","id":"required-connection-type","depth":2},{"value":"Headers","id":"headers","depth":2},{"value":"Query parameters","id":"query-parameters","depth":2},{"value":"Response example","id":"response-example","depth":2},{"value":"Response elements","id":"response-elements","depth":2},{"value":"Rate limiting","id":"rate-limiting","depth":2},{"value":"Response codes","id":"response-codes","depth":2}],"frontmatter":{"excludeFromSearch":true,"sidebar":{"path":"sidebars.yaml"},"seo":{"title":"Getting applicable filters for a legal entity ID"}},"lastModified":"2026-08-04T10:27:27.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/connectivity/docs/reconciliation-api/getting-filters-for-legal-entity-id","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}